import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'

const EntCode = 'ent-code'

const ExpiresInKey = 'Admin-Expires-In'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getEntCode() {
  return Cookies.get(EntCode)
}

export function setEntCode(entCode) {
  return Cookies.set(EntCode, entCode)
}

export function removeEntCode() {
  return Cookies.remove(EntCode)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
